cc.funkemunky.api.events

## Class EventManager

- java.lang.Object
- - cc.funkemunky.api.events.EventManager

    public class EventManager
    extends java.lang.Object

### Field Summary

Fields
`boolean` `paused`

### Constructor Summary

Constructors
Constructor and Description
`EventManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callEvent(AtlasEvent event)`
`void` `callEventAsync(AtlasEvent event)`
`void` `clearAllRegistered()`
`void` `registerListener(java.lang.reflect.Method method, AtlasListener listener, org.bukkit.plugin.Plugin plugin)`
`void` `registerListeners(AtlasListener listener, org.bukkit.plugin.Plugin plugin)`
`void` `unregisterAll(org.bukkit.plugin.Plugin plugin)`
`void` `unregisterListener(AtlasListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### paused

    public boolean paused

### Constructor Detail

#### EventManager

    public EventManager()

### Method Detail

#### registerListener

    public void registerListener(java.lang.reflect.Method method,
                                 AtlasListener listener,
                                 org.bukkit.plugin.Plugin plugin)
                          throws ListenParamaterException

Throws:
  `ListenParamaterException`

#### clearAllRegistered

    public void clearAllRegistered()

#### unregisterAll

    public void unregisterAll(org.bukkit.plugin.Plugin plugin)

#### unregisterListener

    public void unregisterListener(AtlasListener listener)

#### registerListeners

    public void registerListeners(AtlasListener listener,
                                  org.bukkit.plugin.Plugin plugin)

#### callEvent

    public void callEvent(AtlasEvent event)

#### callEventAsync

    public void callEventAsync(AtlasEvent event)